Skip to main content
GET
/
partners
/
leaderboard
Retrieve the partner leaderboard
curl --request GET \
  --url https://api.whop.com/api/v1/partners/leaderboard \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/partners/leaderboard"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/partners/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "leaders": [
    {
      "first_referral_started_at": "2023-11-07T05:31:56Z",
      "rank": 123,
      "total_earnings_usd": "<string>",
      "total_volume_usd": "<string>",
      "user": {
        "city": "<string>",
        "country": "<string>",
        "id": "<string>",
        "name": "<string>",
        "profile_picture": {
          "url": "<string>"
        },
        "username": "<string>"
      }
    }
  ],
  "me": {
    "first_referral_started_at": "2023-11-07T05:31:56Z",
    "rank": 123,
    "total_earnings_usd": "<string>",
    "total_volume_usd": "<string>",
    "user": {
      "city": "<string>",
      "country": "<string>",
      "id": "<string>",
      "name": "<string>",
      "profile_picture": {
        "url": "<string>"
      },
      "username": "<string>"
    }
  }
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Query Parameters

period
enum<string>
default:all_time

Time window for the rankings. day, month, and year count earnings since the start of the current calendar day, month, or year; last_30_days counts earnings over the trailing 30 days; all_time ranks lifetime earnings.

Available options:
day,
month,
year,
last_30_days,
all_time

Response

caller has no referral earnings

leaders
object[]
required

The top referrers by total earnings, best first.

Maximum array length: 10
me
object | null
required

The caller's own standing; null when the caller has no referral earnings.